org.apache.cassandra.cql3.hooks

## Class BatchExecutionContext

- java.lang.Object
- - org.apache.cassandra.cql3.hooks.BatchExecutionContext

    public class BatchExecutionContext
    extends java.lang.Object

Contextual information about the execution of a CQL Batch. Used by `PreExecutionHook` and `PostExecutionHook` The `queryOrIdList` field, provides a list of objects which may be used to identify the individual statements in the batch. Currently, these objects will be one of two types (and the list may contain a mixture of the two). A `String` indicates the statement is a regular (i.e. non-prepared) statement, and is in fact the CQL string for the statement. An `MD5Digest` object indicates a prepared statement & may be used to retrieve the corresponding CQLStatement using `QueryProcessor.getPrepared()`

### Field Summary

Fields
`java.util.List<java.lang.Object>` `queryOrIdList`
`QueryState` `queryState`
`java.util.List<java.util.List<java.nio.ByteBuffer>>` `variables`

### Constructor Summary

Constructors
Constructor and Description
`BatchExecutionContext(QueryState queryState, java.util.List<java.lang.Object> queryOrIdList, java.util.List<java.util.List<java.nio.ByteBuffer>> variables)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### queryState

    public final QueryState queryState

#### queryOrIdList

    public final java.util.List<java.lang.Object> queryOrIdList

#### variables

    public final java.util.List<java.util.List<java.nio.ByteBuffer>> variables

### Constructor Detail

#### BatchExecutionContext

    public BatchExecutionContext(QueryState queryState,
                         java.util.List<java.lang.Object> queryOrIdList,
                         java.util.List<java.util.List<java.nio.ByteBuffer>> variables)